﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Web._Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <div class="panel panel-primary">
        <div class="panel-heading">Informe Diario Gas</div>
        <div class="panel-body">
            <div class="row">
                
                <div class="col-md-2">
                    <label>Team</label>
                    <ej:DropDownList ID="ddlTeam" runat="server" ShowCheckbox="true" ClientSideOnCheckChange="onCheckUncheckAll">
                        <Items>
                            <ej:DropDownListItem Text="CheckAll" Value="0"/>
                            <ej:DropDownListItem Text="Barcelona" Value="1"/>
                            <ej:DropDownListItem Text="Madrid" Value="2"/>
                            <ej:DropDownListItem Text="Sevilla" Value="3"/>
                            <ej:DropDownListItem Text="Valencia" Value="4"/>
                            <ej:DropDownListItem Text="Teruel" Value="5"/>
                        </Items>
                    </ej:DropDownList>
                </div>

                <div class="col-md-2">
                    <ej:Button ID="btnGenerarInforme1" runat="server" Size="Large" Type="Button" Text="Generar Informe" ShowRoundedCorner="true" OnClick="btnGenerarInforme_Click"/>
                </div>
            </div>
        </div>
    </div>

    

    <asp:ValidationSummary runat="server" ID="modelStateError" ShowModelStateErrors="true" ForeColor="Red"/>    
    <br />

    <ej:WaitingPopup ID="target1" runat="server" ShowOnInit="false" Text="Generando Informes..." >
    </ej:WaitingPopup>

    <ej:Button ID="btnExportAll" runat="server" Size="Large" Type="Button" Text="Export All" ShowRoundedCorner="true" OnClick="btnExportAll_Click"/>
        

<%--    <asp:UpdatePanel runat="server" ID="updatePanel">
        <ContentTemplate>--%>
            <div class="row">
                <asp:Panel runat="server" ID="panelReports">

                </asp:Panel>
                
            </div>
<%--            </ContentTemplate>
    </asp:UpdatePanel>--%>

     <script>
        function onCheckUncheckAll(args) {
            if (args.value == "0") {
                var sender = $('#<%=ddlTeam.ClientID%>').data("ejDropDownList");
                if (args.isChecked)
                    sender.checkAll();
                else
                    sender.unCheckAll();
            }
        }
    </script>
    <style>
        .e-tab .e-header>.e-item a{
            font-size:25px;
        }
    </style>
</asp:Content>
