﻿using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Web.UserControls
{
    public partial class DatosInformeGasTeam : System.Web.UI.UserControl
    {
        public Syncfusion.JavaScript.Web.Grid DataGrig { get { return gridOperacionesTerminadasTipoOperacion; } }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public void GenerarInformes(IEnumerable<object> data)
        {
            gridOperacionesTerminadasTipoOperacion.DataSource = data;
            gridOperacionesTerminadasTipoOperacion.DataBind();
        }

        


        #region Exportacion a excel

        protected void gridOperacionesTerminadasTipoOperacion_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            exp.Export(gridOperacionesTerminadasTipoOperacion.Model, (IEnumerable)gridOperacionesTerminadasTipoOperacion.DataSource, "Export.xlsx", ExcelVersion.Excel2013, false, true, "default-theme");
        }

        public IWorkbook ExportarExcel()
        {
            IWorkbook workbook = null;
            try
            {
                ExcelExport exp = new ExcelExport();
                workbook = exp.Export(gridOperacionesTerminadasTipoOperacion.Model, (IEnumerable)gridOperacionesTerminadasTipoOperacion.DataSource, "Export.xlsx", ExcelVersion.Excel2013, false, true, "default-theme", true);
            }
            catch (Exception ex)
            {
                int b = 0;
            }
            return workbook;
        }


        #endregion
    }
}